from utils.messages import (
    title,
    instructions,
    worktree_instructions,
)
from utils.repo_format import branch_types


def branch_details():

    # Ask for branch type
    for idx, type in enumerate(branch_types):
        print(f"[{idx + 1}] {type}")

    title("Branch Types")
    instructions(worktree_instructions)
    branch_type: str = input('Branch Type: ')
    branch_type_idx: int = int(branch_type) - 1
    branch_type_value: str = list(branch_types.values())[branch_type_idx]

    # Ask for branch id
    branch_id: str = input('Branch ID: ').upper()

    return branch_type_value, branch_id
